Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002457KdenliveBuild Systempublic2011-12-31 17:342012-05-15 10:58
ReporterGMaq 
Assigned Toj-b-m 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDebian Squeeze 32bitOSAV Linux OS Version5.0.2
Product VersionRecent git 
Target VersionFixed in Version0.9 
Summary0002457: Compilation On Debian Squeeze 32bit (KDE 4.4.4) Fails after switch from QJson to Solid
DescriptionCompilation of Kdenlive 0.8.2.1+GIT20111231 fails at 55% with message posted below. PLEASE NOTE compilation was successful on same system only 2 days prior with GIT20111229. This occurs not using the build wizard, simply compiling the source to create packages for AV Linux which has been successful up until the current issue.
Steps To Reproducegit pull from Kdenlive GIT after 20111229
compile on Debian Squeeze 32bit (KDE 4.4.4)
Additional InformationTerminal Output:

[ 55%] Building CXX object src/CMakeFiles/kdenlive.dir/utils/freesound.o
/home/tester/Build/kdenlive/src/utils/freesound.cpp:44:34: fatal error: Nepomuk/Vocabulary/NIE: No such file or directory
compilation terminated.
make[2]: *** [src/CMakeFiles/kdenlive.dir/utils/freesound.o] Error 1
make[1]: *** [src/CMakeFiles/kdenlive.dir/all] Error 2
make: *** [all] Error 2
tester@av502desk:~/Build/kdenlive/kdenlive-0.8.2.1+GIT20111231avlinux$
TagsNo tags attached.
Build/Install MethodManual build from Git
Attached Files

- Relationships

-  Notes
(0007687)
j-b-m (administrator)
2012-01-01 15:52

Thanks, that was an issue with KDE < 4.6. Should be fixed now in current git, please test.
(0007688)
GMaq (reporter)
2012-01-01 17:24

Hello,

First Happy New Year! Thanks very much for your attention to this issue. Some progress has been made however compilation still fails with a different error message relating to openclipart.

Terminal Output:

[ 55%] Building CXX object src/CMakeFiles/kdenlive.dir/utils/openclipart.o
[ 55%] Building CXX object src/CMakeFiles/kdenlive.dir/utils/resourcewidget.o
/home/tester/Build/kdenlive/src/utils/resourcewidget.cpp:41:20: warning: extra tokens at end of #ifdef directive [enabled by default]
/home/tester/Build/kdenlive/src/utils/resourcewidget.cpp:46:34: fatal error: Nepomuk/Vocabulary/NIE: No such file or directory
compilation terminated.
make[2]: *** [src/CMakeFiles/kdenlive.dir/utils/resourcewidget.o] Error 1
make[1]: *** [src/CMakeFiles/kdenlive.dir/all] Error 2
make: *** [all] Error 2
tester@av502desk:~/Build/kdenlive/kdenlive-0.8.2.1+GIT20111231avlinux$
(0007689)
j-b-m (administrator)
2012-01-01 18:25

Happy new year too. I had obviously not fully recovered from last night, my previous commit was a bit incoherent... Correct fix should now be in git.
(0007690)
GMaq (reporter)
2012-01-01 19:01
edited on: 2012-01-01 19:05

SOLVED!

I should clarify for future reference that Debian Squeeze contains the development libs for KDE 4.5 not 4.4 as I previously indicated.

Bingo! We have a winner. Your coherence is restored, compilation succeeded, packaging finished and Kdenlive 0.8.3GIT is looking great! Thanks so much, It is very much appreciated that you continue to support KDE versions less than 4.6, I hope you can continue this for as long as possible.

Best Regards and Thanks, Glen MacArthur - AV Linux Maintainer


- Issue History
Date Modified Username Field Change
2011-12-31 17:34 GMaq New Issue
2012-01-01 15:52 j-b-m Note Added: 0007687
2012-01-01 15:52 j-b-m Assigned To => j-b-m
2012-01-01 15:52 j-b-m Status new => feedback
2012-01-01 17:24 GMaq Note Added: 0007688
2012-01-01 17:24 GMaq Status feedback => assigned
2012-01-01 18:25 j-b-m Note Added: 0007689
2012-01-01 19:01 GMaq Note Added: 0007690
2012-01-01 19:05 GMaq Note Edited: 0007690 View Revisions
2012-01-01 20:25 j-b-m Status assigned => resolved
2012-01-01 20:25 j-b-m Fixed in Version => Recent git
2012-01-01 20:25 j-b-m Resolution open => fixed
2012-05-15 10:57 j-b-m Fixed in Version Recent git => 0.9
2012-05-15 10:58 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker